package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.erp.entity.RequestRecord;
import org.springframework.http.ResponseEntity;

import java.util.Date;
import java.util.List;

public interface RequestRecordService extends MpBaseService<RequestRecord> {

    int saveSuccessfulRequestRecord(RequestRecord record, String responseDetail);

//    int saveRecord(RequestRecord requestRecord,Integer failedTimes, Integer status, String responseDetail,Integer... failedReason);

    int saveFailedRequestRecord(RequestRecord record, Integer isRecall, String responseDetail, String failedReason);

    List<RequestRecord> getRecordList(String portName, Date startTime, Date endTime, Integer status, String methodName, Integer pageNumber, Integer PageSize);

    RequestRecord getBaseRequestRecord(String requestDetail, String portName, String invoiceCode, String invoiceNo, String methodName);

    RequestRecord getBaseRequestRecord(String requestDetail, String portName, String methodName);

    RequestRecord getBaseRequestRecord(String requestDetail, String portName, String invoiceNo, String methodName);

//    int updateSuccessfulRecallRecord(RequestRecord record, Integer status, String activeCallRequestDetail, String recallResponseDetail);
//
//    int updateFailedRecallRecord(RequestRecord record, Integer status, String activeCallResponse, String recallResponseDetail, String failedReason, Integer isRecall);

    ResponseEntity<?> reCall(RequestRecord requestRecord);

    //    int saveTestRequestRecord(RequestRecord record, Integer isRecall, String responseDetail, String failedReason);
}
